Package org.opensaml.xmlsec.signature

# Interface ECKeyValue

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `ECKeyValueImpl`

public interface ECKeyValue extends XMLObject
XMLObject representing XML Digital Signature, version 20020212, ECKeyValue element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`ID_ATTRIB_NAME`
Id attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`XMLObject`
`getECParameters()`
Get the ECParameters child element.
`String`
`getID()`
Get the Id attribute value.
`NamedCurve`
`getNamedCurve()`
Get the NamedCurve child element.
`PublicKey`
`getPublicKey()`
Get the PublicKey child element.
`void`
`setECParameters(XMLObject newParams)`
Set the ECParameters child element.
`void`
`setID(String newID)`
Set the Id attribute value.
`void`
`setNamedCurve(NamedCurve newCurve)`
Set the NamedCurve child element.
`void`
`setPublicKey(PublicKey newKey)`
Set the PublicKey child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ID_ATTRIB_NAME
Id attribute name.

See Also:
  - Constant Field Values

## Method Details

### getID

@Nullable String getID()
Get the Id attribute value.

Returns:
  the Id attribute value

### setID

void setID(@Nullable String newID)
Set the Id attribute value.

Parameters:
  `newID` - the new Id attribute value

### getECParameters

@Nullable XMLObject getECParameters()
Get the ECParameters child element.

Returns:
  the ECParameters child element

### setECParameters

void setECParameters(@Nullable XMLObject newParams)
Set the ECParameters child element.

Parameters:
  `newParams` - the new ECParameters child element

### getNamedCurve

@Nullable NamedCurve getNamedCurve()
Get the NamedCurve child element.

Returns:
  the NamedCurve child element

### setNamedCurve

void setNamedCurve(@Nullable NamedCurve newCurve)
Set the NamedCurve child element.

Parameters:
  `newCurve` - the new NamedCurve child element

### getPublicKey

@Nullable PublicKey getPublicKey()
Get the PublicKey child element.

Returns:
  the PublicKey child element

### setPublicKey

void setPublicKey(@Nullable PublicKey newKey)
Set the PublicKey child element.

Parameters:
  `newKey` - the new PublicKey child element